Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.wsrp.producer.config.impl
Class ProducerConfigurationImpl

    java.lang.Object
      org.jboss.portal.wsrp.producer.config.impl.ProducerConfigurationImpl

All Implemented Interfaces:
  ProducerConfiguration

    public class ProducerConfigurationImpl

extends java.lang.Object
implements ProducerConfiguration

Since:
  2.6
Version:
  $Revision: 10408 $
Author:
  Chris Laprun

Constructor Summary
`ProducerConfigurationImpl()`

Method Summary
`void` | `addChangeListener(ProducerConfigurationChangeListener listener)`
`ProducerRegistrationRequirements` | `getRegistrationRequirements()`
`boolean` | `isUsingStrictMode()` Is the associated producer using strict WSRP data validation? Strict validation means that even minor non-compliance will cause a failure.
`void` | `removeChangeListener(ProducerConfigurationChangeListener listener)`
`void` | `setRegistrationRequirements(ProducerRegistrationRequirements requirements)`
`void` | `setUsingStrictMode(boolean strict)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProducerConfigurationImpl

    public ProducerConfigurationImpl()

Method Detail

### getRegistrationRequirements

    public ProducerRegistrationRequirements getRegistrationRequirements()

  Specified by:
    `getRegistrationRequirements` in interface `ProducerConfiguration`

### isUsingStrictMode

    public boolean isUsingStrictMode()

  Description copied from interface: `ProducerConfiguration`
  Is the associated producer using strict WSRP data validation? Strict validation means that even minor non-compliance will cause a failure. Lenient validation relaxes the checks that are performed to improve compatibility with some non-completely compliant consumers.

  Specified by:
    `isUsingStrictMode` in interface `ProducerConfiguration`
  Returns:
    `true` if strict validation is in effect, `false` otherwise.

### setUsingStrictMode

    public void setUsingStrictMode(boolean strict)

  Specified by:
    `setUsingStrictMode` in interface `ProducerConfiguration`

### addChangeListener

    public void addChangeListener(ProducerConfigurationChangeListener listener)

  Specified by:
    `addChangeListener` in interface `ProducerConfiguration`

### removeChangeListener

    public void removeChangeListener(ProducerConfigurationChangeListener listener)

  Specified by:
    `removeChangeListener` in interface `ProducerConfiguration`

### setRegistrationRequirements

    public void setRegistrationRequirements(ProducerRegistrationRequirements requirements)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD